找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 473|回复: 0

[求助]:如何将选择的pline用mline重绘

[复制链接]
发表于 2005-4-2 17:04:47 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
Sub tt()

   '本程序的作用是选择一个pline线。然后用mline线重新绘制(原pline保留)

   'mline 对正样式是“无”都设置好了,直接调用即可   

    Dim px(200) As Double             '处理N个点(不定)
    Dim py(200) As Double
    'Dim center(211) As Double
    Dim ent As Object
    ' let the user select a block.
    '
    If (flgPickNested = True) Then
        Debug.Print "错误"
        Exit Sub
    Else
        Dim pt As Variant
        ThisDrawing.Utility.GetEntity ent, pt
    End If
  
    var = ent.Coordinates
       retCoord = ent.Coordinates
       k = (UBound(retCoord) + 1) / 2                      '记录pline顶点个数


        For i = 0 To UBound(retCoord) Step 2
            px(i / 2) = retCoord(i)
            py(i / 2) = retCoord(i)

        Next i
        ReDim center(2 * (k - 1) + 1) As Double
        
        For i = 0 To k - 1
            center(i) = px(i)
            center(i + 1) = py(i)
            'center(i + 2) = 0
            MsgBox center(i) & " =" & center(i + 1)
        Next i
        Dim lll As AcadMLine
        
       Set lll = ThisDrawing.ModelSpace.AddMLine(center)
       ZoomAll
   
End Sub

程序始终出错

请各位大虾帮忙调试

*-*8 *-*8 *-*8
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-9-24 14:30 , Processed in 0.370140 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表